﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com.APP
{
    /// <summary>
    /// 自主停车备案页面，获取路段列表
    /// </summary>
    public sealed class TmpGetRoadListRequest : ILJRequest<TmpGetRoadListResponse>
    {
        public string GetApiName()
        {
            return "TmpGetRoadList";
        }
    }

    public sealed class TmpGetRoadListResponse : LJResponse
    {
        public List<Road> roadList { get; set; }
    }
}
