﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class AuditWorkmanshipRequest : ILJRequest<AuditWorkmanshipResponse>
    {
        public string GetApiName()
        {
            return "AuditWorkmanship";
        }
        /// <summary>
        /// 登录token
        /// </summary>
        public string token { get; set; }
        /// <summary>
        /// 部门id
        /// </summary>
        public List<u_workmanship_add> list { get; set; }
        /// <summary>
        /// 0 - 审核 1 - 撤审 2 - 反禁用 3 - 禁用
        /// </summary>
        public int type { get; set; }
    }

    public sealed class AuditWorkmanshipResponse : LJResponse
    {
    }
}
