﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class BanMultiPriceRequest : ILJRequest<BanMultiPriceResponse>
    {
        public string GetApiName()
        {
            return "BanMultiPrice";
        }
        /// <summary>
        /// 登录token
        /// </summary>
        public string token { get; set; }
        /// <summary>
        /// 类型id
        /// </summary>
        public List<u_multiprice> list { get; set; }
        /// <summary>
        /// 类型 0 - 禁用 1 - 反禁用
        /// </summary>
        public byte type { get; set; }
    }

    public sealed class BanMultiPriceResponse : LJResponse
    {
    }
}
