﻿using LJLib.Net.SPI.Com;
using LJLib.Net.SPI.Server;
using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JLHHJSvr.Com
{
    public class CommonDynamicSelectRequest : ILJRequest<CommonDynamicSelectResponse>
    {
        public string token { get; set; }
        public string clienttype { get; set; }
        /// <summary>
        /// xml名称
        /// </summary>
        public string dsname { get; set; }
        public JObject queryparams { get; set; }
        public string orderstr { get; set; }
        public int pageindex { get; set; }
        public int pagesize { get; set; }
        /// <summary>
        /// 用户习惯dwname
        /// </summary>
        public string dwname { get; set; }
        /// <summary>
        /// 用户习惯itemname
        /// </summary>
        public string itemname { get; set; }
        /// <summary>
        /// 用户习惯是否压缩
        /// </summary>
        public byte ifcompress { get; set; }
        public string GetApiName()
        {
            return "CommonDynamicSelect";
        }
    }
    public class CommonDynamicSelectResponse : LJResponse
    {
        public JArray datatable { get; set; }
        public JObject tableinfo { get; set; }
        public int totalcnt { get; set; }
        public int pageindex { get; set; }
        public int pagesize { get; set; }
    }
}
