﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class CopyMtrlDefRequest : ILJRequest<CopyMtrlDefResponse>
    {
        public string GetApiName()
        {
            return "CopyMtrlDef";
        }
        /// <summary>
        /// 登录token
        /// </summary>
        public string token { get; set; }
        /// <summary>
        /// 复制价格表源头
        /// </summary>
        public int? pricelistid_from { get; set; }
        /// <summary>
        /// 复制价格表目标
        /// </summary>
        public int? pricelistid_to { get; set; }
        /// <summary>
        /// 类型 0 - 禁用 1 - 反禁用
        /// </summary>
        public decimal? rate { get; set; }
        /// <summary>
        /// 批修改单价物料id
        /// </summary>
        public List<int> mtrlids { get; set; }
    }

    public sealed class CopyMtrlDefResponse : LJResponse
    {
    }
}
