﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class GetComputeMattressRequest : ILJRequest<GetComputeMattressResponse>
    {
        public string GetApiName()
        {
            return "GetComputeMattress";
        }
        public string token { get; set; }
        /// <summary>
        /// 床垫信息：主表
        /// </summary>
        public u_mattress mattress { get; set; }
        /// <summary>
        /// 所有明细
        /// </summary>
        public List<u_mattress_mx_mtrl> mattressMx { get; set; }
    }

    public sealed class GetComputeMattressResponse : LJResponse
    {
        public u_mattress mattress { get; set; }
        public List<replacement> replace { get; set; }
        public List<replacement> formulas { get; set; }
        public string message { get; set; }
    }
}
