﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using JLHHJSvr.DBA.DBModle;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 获取用户列表
    /// </summary>
    public sealed class GetDeptRequest : ILJRequest<GetDeptResponse>
    {
        public string GetApiName()
        {
            return "GetDept";
        }
        public string token { get; set; }
    }

    public sealed class GetDeptResponse : LJResponse
    {
        public List<u_dept> list { get; set; } 
    }
}
