﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// (协同系统用)获取协同用户的DW布局
    /// </summary>
    public sealed class GetDwLayoutRequest : ILJRequest<GetDwLayoutResponse>
    {
        public string token { get; set; }
        public string dwname { get; set; }

        public string GetApiName()
        {
            return "GetDwLayout";
        }
    }

    public sealed class GetDwLayoutResponse : LJResponse
    {
        public FxUserDwlayout layout { get; set; }
    }
}
