﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class GetERPConfigureListRequest : ILJRequest<GetERPConfigureListResponse>
    {
        public string GetApiName()
        {
            return "GetERPConfigureList";
        }
        /// <summary>
        /// 登录token
        /// </summary>
        public string token { get; set; }
        /// <summary>
        /// 单据id
        /// </summary>
        public int? typeid { get; set; }
    }

    public sealed class GetERPConfigureListResponse : LJResponse
    {
        public List<erp_configure_code> configureList { get; set; }
    }
}
