﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class GetERPMtrldefListRequest : ILJRequest<GetERPMtrldefListResponse>
    {
        public string GetApiName()
        {
            return "GetERPMtrldefList";
        }
        /// <summary>
        /// 登录token
        /// </summary>
        public string token { get; set; }
        public int? mtrlid { get; set; }
        public int? storageid { get; set; }
        /// <summary>
        /// 属性
        /// </summary>
        public int? mtrlprp { get; set; }
        /// <summary>
        /// 物料类别
        /// </summary>
        public int? mtrltypeid { get; set; }
        public int? mtrlorigin { get; set; }
        public int? isuse { get; set; }
        public string keyword { get; set; }

        public string mtrlname { get; set; }
        public string mtrlcode { get; set; }
        public string mtrlmode { get; set; }
        public string mtrlsectype { get; set; }
        public string zxmtrlmode { get; set; }
        public string usermtrlmode { get; set; }
        public string plancode { get; set; }

        public int pageindex { get; set; }
        public int pagesize { get; set; }
        /// <summary>
        /// 产品类别
        /// </summary>
        public string mtrltype { get; set; }
        /// <summary>
        /// 1-只返回重要字段
        /// </summary>
        public int simpleField { get; set; }
    }

    public sealed class GetERPMtrldefListResponse : LJResponse
    {
        public List<erp_mtrldef> mtrldefList { get; set; }
    }
}
