﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 根据md5获取文件
    /// </summary>
    public sealed class GetFileByMd5Request : ILJRequest<GetFileByMd5Response>
    {
        public string GetApiName()
        {
            return "GetFileByMd5";
        }
        public string token { get; set; }
        public string md5 { get; set; }
    }

    public sealed class GetFileByMd5Response : LJResponse
    {
        public byte[] fileData { get; set; }
        /// <summary>
        /// 后缀
        /// </summary>
        public string fileType { get; set; }
    }
}
