﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using JLHHJSvr.DBA.DBModle;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class GetFormulaComputeRequest : ILJRequest<GetFormulaComputeResponse>
    {
        public string GetApiName()
        {
            return "GetFormulaCompute";
        }
        public string token { get; set; }
        public List<string> formulas { get; set; }
    }

    public sealed class GetFormulaComputeResponse : LJResponse
    {
        public List<decimal> values { get; set; } 
    }
}
