﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class GetMattressInterfaceListRequest : ILJRequest<GetMattressInterfaceListResponse>
    {
        public string GetApiName()
        {
            return "GetMattressInterfaceList";
        }
        /// <summary>
        /// 登录token
        /// </summary>
        public string token { get; set; }
        /// <summary>
        /// 单据id
        /// </summary>
        public int? mattressid { get; set; }
    }

    public sealed class GetMattressInterfaceListResponse : LJResponse
    {
        public u_mattress mattress { get; set; }
        public List<u_mattress_interface> interfaceList { get; set; }
        public List<u_mattress_interface_qd> qdList { get; set; }
    }
}
