﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using JLHHJSvr.DBA.DBModle;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class GetMtrlDefListRequest : ILJRequest<GetMtrlDefListResponse>
    {
        public string GetApiName()
        {
            return "GetMtrlDefList";
        }
        public string token { get; set; }
        public List<int> mtrltypeids { get; set; }
        public int? pricelistid { get; set; }
        public int pagesize { get; set; }
        public int pageindex { get; set; }
    }

    public sealed class GetMtrlDefListResponse : LJResponse
    {
        public List<u_mtrl_price> list { get; set; }
        public int pagesize { get; set; }
        public int pageindex { get; set; }
        public int totalcnt { get; set; }
    }
}
