﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 获得选项列表
    /// </summary>
    public sealed class GetOptionListRequest:ILJRequest<GetOptionListResponse>
    {
        public string GetApiName()
        {
            return "GetOptionList";
        }
        public string token { get; set; }
        public List<int> optionidList { get; set; }
        public int? optionid { get; set; }
    }

    public sealed class GetOptionListResponse : LJResponse
    {
        public List<Option> optionList { get; set; }
    }
}
