﻿using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;
using System.Collections.Generic;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 获取用户自定义值
    /// </summary>
    public sealed class GetPriceListRequest : ILJRequest<GetPriceListResponse>
    {
        public string token { get; set; }

        public string GetApiName()
        {
            return "GetPriceList";
        }
    }

    public sealed class GetPriceListResponse : LJResponse
    {
        public List<u_pricelist> list { get; set; }
    }
}
