﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using JLHHJSvr.DBA.DBModle;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 获取用户列表
    /// </summary>
    public sealed class GetSysFuncPwrRequest : ILJRequest<GetSysFuncPwrResponse>
    {
        public string GetApiName()
        {
            return "GetSysFuncPwr";
        }
        public string token { get; set; }
    }

    public sealed class GetSysFuncPwrResponse : LJResponse
    {
        public List<sys_func_pwr> list { get; set; } 
    }
}
