﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    public sealed class Car
    {
        /// <summary>
        /// 车牌号码
        /// </summary>
        public string carnum { get; set; }
        /// <summary>
        /// 修改前的车牌号码
        /// </summary>
        public string carnum_ori { get; set; }
        /// <summary>
        /// 车主姓名
        /// </summary>
        public string owner { get; set; }
        /// <summary>
        /// 车主电话
        /// </summary>
        public string owner_tel { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string dscrp { get; set; }
        /// <summary>
        /// 建立人
        /// </summary>
        public string opemp { get; set; }
        /// <summary>
        /// 建立时间
        /// </summary>
        public DateTime? opdate { get; set; }
        /// <summary>
        /// 修改人
        /// </summary>
        public string modemp { get; set; }
        /// <summary>
        /// 修改时间
        /// </summary>
        public DateTime? moddate { get; set; }
        /// <summary>
        /// 手工录入
        /// </summary>
        public byte? ifinput { get; set; }
        /// <summary>
        /// 统计违停次数
        /// </summary>
        public int? violateCnt { get; set; }
    }
}
