﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    public sealed class Road
    {
        /// <summary>
        /// 路段ID
        /// </summary>
        public int? roadid { get; set; }
        /// <summary>
        /// 路段名
        /// </summary>
        public string roadname { get; set; }
        /// <summary>
        /// 分组名
        /// </summary>
        public string groupname { get; set; }
        /// <summary>
        /// 管理员
        /// </summary>
        public string manager { get; set; }
        /// <summary>
        /// 管理员电话
        /// </summary>
        public string man_tel { get; set; }
        /// <summary>
        /// 车位数
        /// </summary>
        public int? cnt { get; set; }
        /// <summary>
        /// 已售车位
        /// </summary>
        public int? soldCnt { get; set; }
        /// <summary>
        /// 剩余车位
        /// </summary>
        public int? leftCnt { get; set; }
        /// <summary>
        /// 即将过期车位
        /// </summary>
        public int? expiringCnt { get; set; }
        /// <summary>
        /// 已过期车位
        /// </summary>
        public int? expiredCnt { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string dscrp { get; set; }
        /// <summary>
        /// 建立人
        /// </summary>
        public string opemp { get; set; }
        /// <summary>
        /// 建立时间
        /// </summary>
        public DateTime? opdate { get; set; }
        /// <summary>
        /// 修改人
        /// </summary>
        public string modemp { get; set; }
        /// <summary>
        /// 修改时间
        /// </summary>
        public DateTime? moddate { get; set; }
    }
}
