﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    [PK(new[] { "varid" })]
    public sealed class u_bednet_var
    {
        /// <summary>
        /// 变量id
        /// </summary>
        public int? varid { get; set; }
        public int? varkind { get; set; }
        /// <summary>
        /// 变量编码
        /// </summary>
        public string varcode { get; set; }
        /// <summary>
        /// 变量名称
        /// </summary>
        public string varname { get; set; }
        /// <summary>
        /// 变量分类
        /// </summary>
        public int? varclass { get; set; }
        /// <summary>
        /// 变量类别
        /// </summary>
        public int? vartype { get; set; }
        /// <summary>
        /// 变量单位
        /// </summary>
        public string varunit { get; set; }
        public decimal? varvalue { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string dscrp { get; set; }
        /// <summary>
        /// 建立时间
        /// </summary>
        public DateTime? createtime { get; set; }
        /// <summary>
        /// 建立人
        /// </summary>
        public string createby { get; set; }
        /// <summary>
        /// 公式
        /// </summary>
        public string formula { get; set; }
        /// <summary>
        /// 明细表
        /// </summary>
        public List<u_bednet_varmx> mxlist { get; set; }
    }
}
