﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    [PK(new[] { "deptid" })]
    public sealed class u_dept
    {
        /// <summary>
        /// 部门id
        /// </summary>
        public int deptid { get; set; }
        /// <summary>
        /// 部门名称
        /// </summary>
        public string deptname { get; set; }
        /// <summary>
        /// 利润率
        /// </summary>
        public decimal profitrate { get; set; }
        /// <summary>
        /// 价格表id
        /// </summary>
        public int pricelistid { get; set; }
        /// <summary>
        /// 弹簧分类id
        /// </summary>
        public int springtypeid { get; set; }
        /// <summary>
        /// 审核
        /// </summary>
        public byte flag { get; set; }
        /// <summary>
        /// 审核人
        /// </summary>
        public string auditemp { get; set; }
        /// <summary>
        /// 审核时间
        /// </summary>
        public DateTime? auditdate { get; set; }
        /// <summary>
        /// 修改人
        /// </summary>
        public string modemp { get; set; }
        /// <summary>
        /// 修改时间
        /// </summary>
        public DateTime? moddate { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? createtime { get; set; }
        /// <summary>
        /// 汇率
        /// </summary>
        public decimal? moneyrate { get; set; }
        /// <summary>
        /// manage_amt
        /// </summary>
        public decimal? manage_amt { get; set; }
        /// <summary>
        /// 折扣率
        /// </summary>
        public decimal? discount { get; set; }
        /// <summary>
        /// 是否自动读取汇率
        /// </summary>
        public byte? if_rate_auto { get; set; }
        /// <summary>
        /// 默认物料类别
        /// </summary>
        public int? mtrltype { get; set; }
        /// <summary>
        /// 禁用
        /// </summary>
        public byte? inuse { get; set; }
    }
}
