﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    [PK(new[] { "deptid", "bednet_or_mattress", "bednettypeid_mattresstypeid" })]
    public sealed class u_factory_profitrate
    {
        /// <summary>
        /// 部门ID
        /// </summary>
        public int? deptid { get; set; }
        /// <summary>
        /// 类型【床网.床垫】
        /// </summary>
        public byte? bednet_or_mattress { get; set; }
        /// <summary>
        /// 床垫.床网类别ID
        /// </summary>
        public int? bednettypeid_mattresstypeid { get; set; }
        /// <summary>
        /// 利润率
        /// </summary>
        public decimal? profitrate { get; set; }
        /// <summary>
        /// 建立时间
        /// </summary>
        public DateTime? createtime { get; set; }
        /// <summary>
        /// 建立人
        /// </summary>
        public string createby { get; set; }
    }
}
