﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    [PK(new[] { "mattressmxid" })]
    public sealed class u_mattress_mx_mtrl
    {
        public int? mattressmxid { get; set; }
        public int? mattressid { get; set; }
        public int? formulaid { get; set; }
        public string formula { get; set; }
        public int? mtrlid { get; set; }
        public decimal? price { get; set; }
        public decimal? gram_weight { get; set; }
        public decimal? cloth_width { get; set; }
        public int? if_inputqty { get; set; }
        public decimal? qty { get; set; }
        public decimal? costamt { get; set; }
        public int? if_15strip { get; set; }
        /// <summary>
        /// 是否异常，1：异常，0：正常
        /// </summary>
        public int? if_success { get; set; }
        public decimal? shrinkage { get; set; }
        public string replace_formula { get; set; }
        public string priceunit { get; set; }
        public byte? if_areaprice { get; set; }
        public decimal? thickness { get; set; }
        public string chastr { get; set; }
        public string dv_dscrp { get; set; }
        public decimal? xu { get; set; }
        public decimal? useqty { get; set; }
        public string useformula { get; set; }
        public string replace_useformula { get; set; }
        public string gydscrp { get; set; }
        public string cw_erpmtrlcode { get; set; }
        public int? erp_mtrlid { get; set; }
        #region 其他
        /// <summary>
        /// 区分床垫Tab 0-面料 1-垫层 2-辅料 3-包装 4-杂料 99-床网 101-102-内布套 103-顶布裥棉
        /// </summary>
        public int? formulatype { get; set; }
        public int? formulakind { get; set; }
        public string sortcode { get; set; }
        public string mtrlname { get; set; }
        public int? copty_mtrlid { get; set; }
        /// <summary>
        /// 计算错误信息
        /// </summary>
        public string message { get; set; }
        public string addmx { get; set; }
        public string delmx { get; set; }
        /// <summary>
        /// 按物料（无物料，单物料，多物料）
        /// </summary>
        public int? if_mtrl { get; set; }


        #endregion
    }
}
