﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{

    [PK(new[] { "mattresstypeid" })]
    public sealed class u_mattress_type
    {
        /// <summary>
        /// 类别id
        /// </summary>
        public int? mattresstypeid { get; set; }
        /// <summary>
        /// 类别名称
        /// </summary>
        public string typename { get; set; }
        /// <summary>
        /// 面裥面
        /// </summary>
        public int? if_top_side { get; set; }
        /// <summary>
        /// 底裥面
        /// </summary>
        public int? if_button_sdie { get; set; }
        /// <summary>
        /// 大侧裥面
        /// </summary>
        public int? if_big_side { get; set; }
        /// <summary>
        /// 大侧高度公式
        /// </summary>
        public string formula_big_side { get; set; }
        /// <summary>
        /// 小侧裥面1
        /// </summary>
        public int? if_small_side { get; set; }
        /// <summary>
        /// 小侧高度公式
        /// </summary>
        public string formula_small_side { get; set; }
        /// <summary>
        /// V侧裥面1
        /// </summary>
        public int? if_v_side { get; set; }
        /// <summary>
        /// V侧高度公式
        /// </summary>
        public string formula_v_side { get; set; }
        /// <summary>
        /// 建立时间
        /// </summary>
        public DateTime? createtime { get; set; }
        /// <summary>
        /// 建立人
        /// </summary>
        public string createby { get; set; }
        /// <summary>
        /// 编号
        /// </summary>
        public string typecode { get; set; }
        public int? if_in_cloth_cover { get; set; }
        public int? if_out_cloth_cover { get; set; }
        /// <summary>
        /// 边带条数
        /// </summary>
        public decimal? biandaiqty { get; set; }
        /// <summary>
        /// 基础款式单价公式
        /// </summary>
        public string hrcost_formula { get; set; }
        /// <summary>
        /// 垫层默认设置
        /// </summary>
        public string dianceng_sort { get; set; }
        /// <summary>
        /// 垫层可选位置
        /// </summary>
        public string dianceng_area { get; set; }
        /// <summary>
        /// 小侧裥面2
        /// </summary>
        public int? if_small_side2 { get; set; }
        /// <summary>
        /// 小侧裥面3
        /// </summary>
        public int? if_small_side3 { get; set; }
        /// <summary>
        /// V侧裥面2
        /// </summary>
        public int? if_v_side2 { get; set; }
        /// <summary>
        /// V侧裥面3
        /// </summary>
        public int? if_v_side3 { get; set; }
        /// <summary>
        /// 制造费用
        /// </summary>
        public decimal? zhizao_amt { get; set; }
        /// <summary>
        /// 管理费率
        /// </summary>
        public decimal? guanli_rate { get; set; }

    }
}
