﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    [PK(new[] { "pricelistid" })]
    public sealed class u_pricelist
    {
        /// <summary>
        /// 价格表ID
        /// </summary>
        public int pricelistid { get; set; }
        /// <summary>
        /// 序号
        /// </summary>
        public int RowNumber { get; set; }
        /// <summary>
        /// 价格表名称
        /// </summary>
        public string pricelistname { get; set; }
        /// <summary>
        /// 建立时间
        /// </summary>
        public DateTime? createtime { get; set; }
        /// <summary>
        /// 审核
        /// </summary>
        public byte flag { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string dscrp { get; set; }
        /// <summary>
        /// 审核人
        /// </summary>
        public string auditemp { get; set; }
        /// <summary>
        /// 审核时间
        /// </summary>
        public DateTime? auditdate { get; set; }
        /// <summary>
        /// 修改人
        /// </summary>
        public string modemp { get; set; }
        /// <summary>
        /// 修改时间
        /// </summary>
        public DateTime? moddate { get; set; }
        /// <summary>
        /// 禁用
        /// </summary>
        public byte? inuse { get; set; }
    }
}
