﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 上传文件
    /// </summary>
    public sealed class PostFileRequest : ILJRequest<PostFileResponse>
    {
        public string GetApiName()
        {
            return "PostFile";
        }
        public string token { get; set; }
        public byte[] filedata { get; set; }
        public string fileType { get; set; }
    }

    public sealed class PostFileResponse : LJResponse
    {
        public string md5 { get; set; }
    }
}
