﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 保存车辆信息
    /// </summary>
    public sealed class SaveBedNetTypeRequest : ILJRequest<SaveBedNetTypeResponse>
    {
        public string GetApiName()
        {
            return "SaveBedNetType";
        }
        public string token { get; set; }
        /// <summary>
        /// 床网类型定义信息
        /// </summary>
        public u_bednet_type bednet { get; set; }
    }

    public sealed class SaveBedNetTypeResponse : LJResponse
    {
    }
}
