﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 保存车辆信息
    /// </summary>
    public sealed class SaveDeptRequest : ILJRequest<SaveDeptResponse>
    {
        public string GetApiName()
        {
            return "SaveDept";
        }
        public string token { get; set; }
        /// <summary>
        /// 部门信息
        /// </summary>
        public u_dept dept { get; set; }
    }

    public sealed class SaveDeptResponse : LJResponse
    {
    }
}
