﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 保存车辆信息
    /// </summary>
    public sealed class SaveMattressAuditingRequest : ILJRequest<SaveMattressAuditingResponse>
    {
        public string GetApiName()
        {
            return "SaveMattressAuditing";
        }
        public string token { get; set; }
        public List<int> mattressids { get; set; }
        /// <summary>
        /// 0: 取消，1：下单
        /// </summary>
        public int? xd_flag { get; set; }
        /// <summary>
        /// 审核
        /// </summary>
        public int? flag { get; set; }
    }

    public sealed class SaveMattressAuditingResponse : LJResponse
    {
    }
}
