﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class SaveMattressInterfaceRequest : ILJRequest<SaveMattressInterfaceResponse>
    {
        public string GetApiName()
        {
            return "SaveMattressInterface";
        }
        public string token { get; set; }
        /// <summary>
        /// 半成品信息：主表
        /// </summary>
        public u_mattress mattress { get; set; }
        public List<u_mattress_interface> interfaceList { get; set; }
        public List<u_mattress_interface_qd> qdList { get; set; }
    }

    public sealed class SaveMattressInterfaceResponse : LJResponse
    {
        public u_mattress mattress { get; set; }
    }
}
