﻿using LJLib.Net.SPI.Com;
using System.Collections.Generic;
using JLHHJSvr.Com.Model;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 保存车位信息
    /// </summary>
    public sealed class SavePermitListRequest : ILJRequest<SavePermitListResponse>
    {
        public string token { get; set; }
        /// <summary>
        /// 车位信息
        /// </summary>
        public List<Permit> PermitList { get; set; } 
        public string GetApiName()
        {
            return "SavePermitList";
        }
    }

    public sealed class SavePermitListResponse : LJResponse
    {
        public List<int> pidList { get; set; } 
    }
}
