﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class SaveRoadListRequest : ILJRequest<SaveRoadListResponse>
    {
        public string GetApiName()
        {
            return "SaveRoadList";
        }
        public string token { get; set; }
        /// <summary>
        /// 路段信息
        /// </summary>
        public List<Road> roadList { get; set; }
    }

    public sealed class SaveRoadListResponse : LJResponse
    {
    }
}
