﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using JLHHJSvr.DBA.DBModle;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 保存用户信息
    /// </summary>
    public sealed class SaveUserListRequest : ILJRequest<SaveUserListResponse>
    {
        public string GetApiName()
        {
            return "SaveUserList";
        }
        public string token { get; set; }
        public List<u_user_jlhprice> userList { get; set; } 
    }

    public sealed class SaveUserListResponse : LJResponse
    {
        public int empid { get; set; }
    }
}
