﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 保存车辆信息
    /// </summary>
    public sealed class SaveWorkmanshipRequest : ILJRequest<SaveWorkmanshipResponse>
    {
        public string GetApiName()
        {
            return "SaveWorkmanship";
        }
        public string token { get; set; }
        /// <summary>
        /// 工厂利润率信息信息
        /// </summary>
        public List<u_workmanship_add> workmanship { get; set; }
    }

    public sealed class SaveWorkmanshipResponse : LJResponse
    {
    }
}
