﻿using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 设置用户自定义值
    /// </summary>
    public sealed class SetSysUserFileStringRequest : ILJRequest<SetSysUserFileStringResponse>
    {
        public string token { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int? empid { get; set; }
        /// <summary>
        /// 窗口名
        /// </summary>
        public string dwname { get; set; }
        /// <summary>
        /// 表格名
        /// </summary>
        public string itemname { get; set; }
        /// <summary>
        /// 自定义值
        /// </summary>
        public string itemvalue { get; set; }
        /// <summary>
        /// 是否压缩
        /// </summary>
        public byte ifcompress { get; set; }
        public string GetApiName()
        {
            return "SetSysUserFileString";
        }
    }

    public sealed class SetSysUserFileStringResponse : LJResponse
    {

    }
}
