﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using LJLib.DAL.SQL;

namespace JLHHJSvr.DBA.DBModle
{
    [PK(new[] { "billid" })]
    public sealed class st_bill
    {
        /// <summary>
        /// 罚单ID
        /// </summary>
        public int? billid { get; set; }
        /// <summary>
        /// 路段ID
        /// </summary>
        public int? roadid { get; set; }
        /// <summary>
        /// 车牌号码
        /// </summary>
        public string carnum { get; set; }
        /// <summary>
        /// 车主姓名
        /// </summary>
        public string owner { get; set; }
        /// <summary>
        /// 车主电话
        /// </summary>
        public string owner_tel { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string dscrp { get; set; }
        /// <summary>
        /// 处理：0-未处理、1-已处理、2-已撤销
        /// </summary>
        public byte? flag { get; set; }
        /// <summary>
        /// 处理人
        /// </summary>
        public string auditemp { get; set; }
        /// <summary>
        /// 处理时间
        /// </summary>
        public DateTime? auditdate { get; set; }
        /// <summary>
        /// 建立人
        /// </summary>
        public string opemp { get; set; }
        /// <summary>
        /// 建立时间
        /// </summary>
        public DateTime? opdate { get; set; }
        /// <summary>
        /// 修改人
        /// </summary>
        public string modemp { get; set; }
        /// <summary>
        /// 修改时间
        /// </summary>
        public DateTime? moddate { get; set; }
        /// <summary>
        /// 结算方式
        /// </summary>
        public byte? paytype { get; set; }
        /// <summary>
        /// 金额
        /// </summary>
        public decimal? payamt { get; set; }
    }
}
