﻿using LJLib.DAL.SQL;
using System;

namespace JLHHJSvr.DBA.DBModle
{
    [PK(new []{"carnum"})]
    public sealed class st_car
    {
        /// <summary>
        /// 车牌号码
        /// </summary>
        public string carnum { get; set; }
        /// <summary>
        /// 车主姓名
        /// </summary>
        public string owner { get; set; }
        /// <summary>
        /// 车主电话
        /// </summary>
        public string owner_tel { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string dscrp { get; set; }
        /// <summary>
        /// 建立人
        /// </summary>
        public string opemp { get; set; }
        /// <summary>
        /// 建立时间
        /// </summary>
        public DateTime? opdate { get; set; }
        /// <summary>
        /// 修改人
        /// </summary>
        public string modemp { get; set; }
        /// <summary>
        /// 修改时间
        /// </summary>
        public DateTime? moddate { get; set; }
        /// <summary>
        /// 手工录入
        /// </summary>
        public byte? ifinput { get; set; }
    }
}
