﻿using LJLib.DAL.SQL;
using System;

namespace JLHHJSvr.DBA.DBModle
{
    [PK(new []{"roadid", "roadname"})]
    public sealed class st_road
    {
        /// <summary>
        /// 路段ID
        /// </summary>
        public int? roadid { get; set; }
        /// <summary>
        /// 路段名
        /// </summary>
        public string roadname { get; set; }
        /// <summary>
        /// 分组名
        /// </summary>
        public string groupname { get; set; }
        /// <summary>
        /// 管理员
        /// </summary>
        public string manager { get; set; }
        /// <summary>
        /// 管理员电话
        /// </summary>
        public string man_tel { get; set; }
        /// <summary>
        /// 车位数
        /// </summary>
        public int? cnt { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string dscrp { get; set; }
        /// <summary>
        /// 建立人
        /// </summary>
        public string opemp { get; set; }
        /// <summary>
        /// 建立时间
        /// </summary>
        public DateTime? opdate { get; set; }
        /// <summary>
        /// 修改人
        /// </summary>
        public string modemp { get; set; }
        /// <summary>
        /// 修改时间
        /// </summary>
        public DateTime? moddate { get; set; }
    }
}
