import { Technology } from "@/api/interface/index";
import { PORT1 } from "@/api/config/servicePort";
import http from "@/api";

/**
 * @name 获取 库存：物料类别
 */
export const getL1MtrlType = (params: Technology.ReqMtrlType) => {
  return http.post<Technology.ResMtrlType>(PORT1 + `/GetL1MtrltypeTree`, params);
};

/**
 * @name 获取 物料列表
 */
export const getMtrldefList = (params: Technology.ReqMtrldefList) => {
  return http.post<Technology.ResMtrldefList>(PORT1 + `/GetL1Mtrldef`, params);
};

/**
 * @name 获取 物料列表
 */
export const getMtrldefDetailList = (params: Technology.ReqMtrldefDetailList) => {
  return http.post<Technology.ResMtrldefDetailList>(PORT1 + `/GetL1MtrldefDetailList`, params);
};
