/**
 * @description 事件总线mitt
 */
export enum MittEnum {
  /**
   * @description 网站主题修改
   */
  ThemeDrawer = "openThemeDrawer",
  /**
   * @description 个人信息
   */
  AvatarDrawer = "openAvatarDrawer",
  /**
   * @description 组件LjFoldLayout，更改布局时触发
   */
  FoldLayoutChange = "FoldLayoutChange",
  /**
   * @description 组件LjOAFlow，获取流转状况的信息
   */
  OAFlowChange = "OAFlowChange",
  /**
   * @description 床垫报价刷新
   */
  MattressList = "MattressList",
  /**
   * @description 床垫半成品报价刷新
   */
  MattressBcpList = "MattressBcpList"
}
