import type { Menu } from "@/typings/global";
/**
 * @argument name 床垫报价
 */
export const mattressQtuoteRouter: Menu.MenuOptions[] = [
  {
    path: "/mattressQuote",
    name: "mattressQuote",
    component: "/quote/mattressQuote/index",
    meta: {
      icon: "Common_Business.png",
      title: "床垫报价",
      isLink: "",
      isHide: false,
      isFull: false,
      isAffix: false,
      isKeepAlive: true,
      funid: 71
    },
    // children: [
    // {
    //   path: "/technology/material",
    //   name: "material",
    //   meta: {
    //     icon: "iconpackage",
    //     title: "产品物料",
    //     isLink: "",
    //     isHide: false,
    //     isFull: false,
    //     isAffix: false,
    //     isKeepAlive: true,
    //     isSubMenu: true,
    //     activeMenu: "/technology",
    //     funid: 6969
    //   },
    //   children: [
    //     {
    //       path: "/technology/material/mtrldef",
    //       name: "productAndMtrlCrm",
    //       component: "/technology/mtrldef/index",
    //       meta: {
    //         icon: "iconpackage",
    //         title: "产品及物料",
    //         isLink: "",
    //         isH: false,
    //         isAffixide: false,
    //         isFull: false,
    //         isKeepAlive: true,
    //         activeMenu: "/technology/material/mtrldef",
    //         funid: 367
    //       },
    children: [
      {
        path: "/mattressQuote/detail",
        name: "mattressQuoteDetail",
        component: "/quote/mattressQuote/detail",
        meta: {
          icon: "iconpackage",
          title: "床垫报价详情",
          isLink: "",
          isHide: true,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          funid: 71,
          activeMenu: "/mattressQuote"
        }
      },
      {
        path: "/mattressQuote/new",
        name: "mattressQuoteAdd",
        component: "/quote/mattressQuote/detail",
        meta: {
          icon: "iconuser-01",
          title: "新增床垫报价",
          isLink: "",
          isHide: true,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          funid: 72,
          activeMenu: "/mattressQuote"
        }
      },
      {
        path: "/mattressQuote/edit",
        name: "mattressQuoteEdit",
        component: "/quote/mattressQuote/detail",
        meta: {
          icon: "iconuser-01",
          title: "修改床垫报价",
          isLink: "",
          isHide: true,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          funid: 72,
          activeMenu: "/mattressQuote"
        }
      },
      {
        path: "/mattressQuote/copy",
        name: "mattressQuoteCopy",
        component: "/quote/mattressQuote/detail",
        meta: {
          icon: "iconuser-01",
          title: "复制床垫报价",
          isLink: "",
          isHide: true,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          funid: 75,
          activeMenu: "/mattressQuote"
        }
      }
    ]
    //     }
    //   ]
    // }
    // ]
  },
  {
    path: "/mattressInterface",
    name: "mattressInterface",
    component: "/quote/mattressInterface/index",
    meta: {
      icon: "Common_Business.png",
      title: "床垫接口",
      isLink: "",
      isHide: false,
      isFull: false,
      isAffix: false,
      isKeepAlive: true,
      funid: 71
    },
    children: [
      {
        path: "/mattressInterface/detail",
        name: "mattressInterfaceDetail",
        component: "/quote/mattressInterface/detail",
        meta: {
          icon: "iconpackage",
          title: "床垫接口详情",
          isLink: "",
          isHide: true,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          funid: 71,
          activeMenu: "/mattressInterface"
        }
      },
      {
        path: "/mattressInterface/1/edit",
        name: "mattressInterfaceEditYw",
        component: "/quote/mattressInterface/detail",
        meta: {
          icon: "iconpackage",
          title: "修改床垫接口-业务补充",
          isLink: "",
          isHide: true,
          isFull: false,
          isAffix: false,
          isKeepAlive: false,
          funid: 71,
          activeMenu: "/mattressInterface"
        }
      },
      {
        path: "/mattressInterface/2/edit",
        name: "mattressInterfaceEditCp",
        component: "/quote/mattressInterface/detail",
        meta: {
          icon: "iconpackage",
          title: "修改床垫接口-产品补充",
          isLink: "",
          isHide: true,
          isFull: false,
          isAffix: false,
          isKeepAlive: false,
          funid: 71,
          activeMenu: "/mattressInterface"
        }
      },
      {
        path: "/mattressInterface/3/edit",
        name: "mattressInterfaceEditQd",
        component: "/quote/mattressInterface/detail",
        meta: {
          icon: "iconpackage",
          title: "修改床垫接口-清单补充",
          isLink: "",
          isHide: true,
          isFull: false,
          isAffix: false,
          isKeepAlive: false,
          funid: 71,
          activeMenu: "/mattressInterface"
        }
      }
    ]
  }
];
