import { ColumnProps, SearchProps } from "@/components/LjVxeTable/interface";
import type { uSale } from "@/typings/modules/sale";
import { Table } from "@/hooks/interface/index";
import { useUserStore } from "@/stores/modules/user";

export const useHooks = (t: any) => {
  // 表格配置项
  const columns: ColumnProps<any>[] = [
    {
      field: "line_diameter",
      search: {
        el: "input",
        key: "arg_line_diameter"
      }
    },
    {
      field: "height",
      search: {
        el: "input",
        key: "arg_height"
      }
    },
    {
      field: "caliber",
      search: {
        el: "input",
        key: "arg_caliber"
      }
    },
    {
      field: "center_diameter",
      search: {
        el: "input",
        key: "arg_center_diameter"
      }
    },
    {
      field: "cyclenum",
      search: {
        el: "input",
        key: "arg_cyclenum"
      }
    },
    {
      field: "springtypeid",
      search: {
        el: "select",
        key: "arg_springtypeid"
      }
    }
  ];

  return {
    columns
  };
};
