﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com.APP
{
    /// <summary>
    /// APP端：车牌号码查询
    /// </summary>
    public class GetPermitListQueryRequest : ILJRequest<GetPermitListQueryResponse>
    {
        public string GetApiName()
        {
            return "GetPermitListQuery";
        }
        public string token { get; set; }
        public string carnum { get; set; }
    }

    public class GetPermitListQueryResponse : LJResponse
    {
        public List<Permit> permitList { get; set; } 
    }
}
