﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class AuditBedNetRequest : ILJRequest<AuditBedNetResponse>
    {
        public string GetApiName()
        {
            return "AuditBedNet";
        }
        /// <summary>
        /// 登录token
        /// </summary>
        public string token { get; set; }
        /// <summary>
        /// 1 - 审核 0 - 撤审
        /// </summary>
        public byte type { get; set; }
        /// <summary>
        /// 单据id
        /// </summary>
        public List<u_bednet> list { get; set; }
    }

    public sealed class AuditBedNetResponse : LJResponse
    {
    }
}
