﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class AuditMattressBcpRequest : ILJRequest<AuditMattressBcpResponse>
    {
        public string GetApiName()
        {
            return "AuditMattressBcp";
        }
        /// <summary>
        /// 登录token
        /// </summary>
        public string token { get; set; }
        /// <summary>
        /// 1 - 审核 0 - 撤审
        /// </summary>
        public byte type { get; set; }
        /// <summary>
        /// 单据id
        /// </summary>
        public List<u_semi_finished_product> list { get; set; }
    }

    public sealed class AuditMattressBcpResponse : LJResponse
    {
    }
}
