﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class AuditSpringRequest : ILJRequest<AuditSpringResponse>
    {
        public string GetApiName()
        {
            return "AuditSpring";
        }
        /// <summary>
        /// 登录token
        /// </summary>
        public string token { get; set; }
        /// <summary>
        /// 弹簧id
        /// </summary>
        public List<u_spring> list { get; set; }
        /// <summary>
        /// 0 - 审核 1 - 撤审 2 - 禁用 3 - 反禁用
        /// </summary>
        public int type { get; set; }
    }

    public sealed class AuditSpringResponse : LJResponse
    {
    }
}
