﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class BanMtrlDefRequest : ILJRequest<BanMtrlDefResponse>
    {
        public string GetApiName()
        {
            return "BanMtrlDef";
        }
        /// <summary>
        /// 登录token
        /// </summary>
        public string token { get; set; }
        /// <summary>
        /// 物料id
        /// </summary>
        public List<u_mtrl_price> list { get; set; }
        /// <summary>
        /// 类型 0 - 禁用 1 - 反禁用
        /// </summary>
        public int type { get; set; }
    }

    public sealed class BanMtrlDefResponse : LJResponse
    {
    }
}
