﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class DeleteDeptRequest : ILJRequest<DeleteDeptResponse>
    {
        public string GetApiName()
        {
            return "DeleteDept";
        }
        /// <summary>
        /// 登录token
        /// </summary>
        public string token { get; set; }
        /// <summary>
        /// 部门id
        /// </summary>
        public List<u_dept> list { get; set; }
    }

    public sealed class DeleteDeptResponse : LJResponse
    {
    }
}
