﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class GetComputeBednetRequest : ILJRequest<GetComputeBednetResponse>
    {
        public string GetApiName()
        {
            return "GetComputeBednet";
        }
        public string token { get; set; }
        /// <summary>
        /// 半成品信息：主表
        /// </summary>
        public u_bednet bednet { get; set; }
        public List<u_bednetmx> bednetMx { get; set; }
        public List<u_bednetmx_spring> spring { get; set; }
    }

    public sealed class GetComputeBednetResponse : LJResponse
    {
        public u_bednet bednet { get; set; }
        public List<replacement> replace { get; set; }
        public List<replacement> formulas { get; set; }
        public string message { get; set; }
    }
}
