﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class GetComputeSpringRequest : ILJRequest<GetComputeSpringResponse>
    {
        public string GetApiName()
        {
            return "GetComputeSpring";
        }
        public string token { get; set; }
        public u_bednet bednet { get; set; }
        public List<u_bednetmx> bednetMx { get; set; }
    }

    public sealed class GetComputeSpringResponse : LJResponse
    {
        public u_bednet bednet { get; set; }
        public List<u_bednetmx> bednetMx { get; set; }
        public List<replacement> replace { get; set; }
        public List<replacement> formulas { get; set; }
        public string message { get; set; }
    }
}
