﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class GetMattressImportDW2Request : ILJRequest<GetMattressImportDW2Response>
    {
        public string GetApiName()
        {
            return "GetMattressImportDW2";
        }
        public string token { get; set; }
        public int mattressid { get; set; }
        public int mattresstypeid { get; set; }
        /// <summary>
        /// 是否为半成品
        /// </summary>
        public int ifbcptype { get; set; }
        /// <summary>
        /// 包装方式   tinyint   选择 0-压包，1-卷包，2-国内
        /// </summary>
        public int packtype { get; set; }
        public int pricelistid { get; set; }
    }

    public sealed class GetMattressImportDW2Response : LJResponse
    {
        public decimal? biandai_qty { get; set; }
        /// <summary>
        /// 所有明细
        /// </summary>
        public List<u_mattress_mx_mtrl> mattressMx { get; set; }
        public List<replacement> diancengarea { get; set; }
}
}
