﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 获取用户的权限信息
    /// </summary>
    public sealed class GetUserPowerRequest : ILJRequest<GetUserPowerResponse>
    {
        public string GetApiName()
        {
            return "GetUserPower";
        }
        public string token { get; set; }
        public int userid { get; set; }
    }

    public sealed class GetUserPowerResponse : LJResponse
    {
        public List<Power> powerList { get; set; }
    }
}
