﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using LJLib.Net.SPI.Com;
using JLHHJSvr.Com.Model;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 重置/修改用户密码
    /// </summary>
    public sealed class ModPasswordRequest : ILJRequest<ModPasswordResponse>
    {
        public string GetApiName()
        {
            return "ModPassword";
        }
        public string token { get; set; }
        public string usercode { get; set; }
        /// <summary>
        /// 旧密码
        /// </summary>
        public string oldpsw { get; set; }
        /// <summary>
        /// 新密码
        /// </summary>
        public string newpsw { get; set; }
    }

    public sealed class ModPasswordResponse : LJResponse
    {
    }
}
