﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    [PK(new[] { "bednetid" })]
    public sealed class u_bednet
    {
        public int? bednetid { get; set; }
        public int? deptid { get; set; }
        public int? bednettypeid { get; set; }
        public int? mattress_width { get; set; }
        public int? mattress_length { get; set; }
        public int? mattress_height { get; set; }
        public int? if_doublenet { get; set; }
        public int? if_doublespring { get; set; }
        public decimal? snake_wire_diameter { get; set; }
        public string snake_wire_mtrl_formula { get; set; }
        public decimal? snake_wire_mtrl_cost { get; set; }
        public string pocket_around_spring_formula { get; set; }
        public decimal? pocket_around_spring_cost { get; set; }
        public string pocket_around_fabrics_formula { get; set; }
        public decimal? pocket_around_fabrics_cost { get; set; }
        public string hard_around_mtrl_formula { get; set; }
        public decimal? hard_around_mtrl_cost { get; set; }
        public string hard_around_hr_formula { get; set; }
        public decimal? hard_around_hr_cost { get; set; }
        public decimal? spring_mtrl_cost { get; set; }
        public decimal? spring_hr_cost { get; set; }
        public decimal? glue_price { get; set; }
        public string glue_mtrl_formula { get; set; }
        public decimal? glue_mtrl_cost { get; set; }
        public string fabrics1_mtrl_formula { get; set; }
        public decimal? fabrics1_mtrl_cost { get; set; }
        public string fabrics2_mtrl_formula { get; set; }
        public decimal? fabrics2_mtrl_cost { get; set; }
        public int? if_side_iron { get; set; }
        public decimal? side_iron_lossrate { get; set; }
        public decimal? side_iron_price { get; set; }
        public string side_iron_mtrl_formula { get; set; }
        public decimal? side_iron_mtrl_cost { get; set; }
        public string side_iron_hr_formula { get; set; }
        public decimal? side_iron_hr_cost { get; set; }
        public decimal? cnail_price { get; set; }
        public string cnail_mtrl_formula { get; set; }
        public decimal? cnail_mtrl_cost { get; set; }
        public string cnail_hr_formula { get; set; }
        public decimal? cnail_hr_cost { get; set; }
        public int? sponge_mtrlid { get; set; }
        public decimal? sponge_thickness { get; set; }
        public decimal? sponge_price { get; set; }
        public string sponge_mtrl_formula { get; set; }
        public decimal? sponge_mtrl_cost { get; set; }
        public string sponge_hr_formula { get; set; }
        public decimal? sponge_hr_cost { get; set; }
        public int? edge_mtrlid { get; set; }
        public decimal? edge_price { get; set; }
        public string edge_mtrl_formula { get; set; }
        public decimal? edge_mtrl_cost { get; set; }
        public string edge_hr_formula { get; set; }
        public decimal? edge_hr_cost { get; set; }
        public decimal? fork_qty { get; set; }
        public decimal? fork_price { get; set; }
        public string fork_mtrl_formula { get; set; }
        public decimal? fork_mtrl_cost { get; set; }
        public string fork_hr_formula { get; set; }
        public decimal? fork_hr_cost { get; set; }
        public int? if_rsorwa { get; set; }
        public decimal? rsorwa_price { get; set; }
        public string rsorwa_mtrl_formula { get; set; }
        public decimal? rsorwa_mtrl_cost { get; set; }
        public string rsorwa_hr_formula { get; set; }
        public decimal? rsorwa_hr_cost { get; set; }
        public int? if_sponge_drilling { get; set; }
        public string sponge_drilling_hr_formula { get; set; }
        public decimal? sponge_drilling_hr_cost { get; set; }
        public decimal? total_hr_cost { get; set; }
        public decimal? total_mtrl_cost { get; set; }
        public decimal? total_fees_cost { get; set; }
        public decimal? total_cost { get; set; }
        public DateTime? createtime { get; set; }
        public string createby { get; set; }
        public string bednetcode { get; set; }
        public string bednetname { get; set; }
        public string spring_mtrl_formula { get; set; }
        public string spring_hr_formula { get; set; }
        public string sponge_mtrl_cost_replace_formula { get; set; }
        public string sponge_hr_cost_replace_formula { get; set; }
        public string edge_mtrl_cost_replace_formula { get; set; }
        public string edge_hr_cost_replace_formula { get; set; }
        public string fork_mtrl_cost_replace_formula { get; set; }
        public string fork_hr_cost_replace_formula { get; set; }
        public string rsorwa_mtrl_cost_replace_formula { get; set; }
        public string rsorwa_hr_cost_replace_formula { get; set; }
        public string sponge_drilling_hr_cost_replace_formula { get; set; }
        public string snake_wire_mtrl_cost_replace_formula { get; set; }
        public int? flag { get; set; }
        public decimal? taxrate { get; set; }
        public decimal? taxes { get; set; }
        public decimal? commissionrate { get; set; }
        public decimal? commission { get; set; }
        public decimal? fob { get; set; }
        public decimal? profitrate { get; set; }
        public decimal? nottax_factory_cost { get; set; }
        public decimal? nottax_dept_cost { get; set; }
        public decimal? dept_cost { get; set; }
        public decimal? foreign_cost { get; set; }
        public decimal? extras_cost { get; set; }
        public decimal? dept_profitrate { get; set; }
        public decimal? moneyrate { get; set; }
        public int? temp_flag { get; set; }
        public int? felt_mtrlid { get; set; }
        public decimal? felt_qty { get; set; }
        public decimal? felt_price { get; set; }
        public string felt_dscrp { get; set; }
        public string felt_mtrl_formula { get; set; }
        public decimal? felt_mtrl_cost { get; set; }
        public string felt_hr_formula { get; set; }
        public decimal? felt_hr_cost { get; set; }
        public string felt_mtrl_cost_replace_formula { get; set; }
        public string felt_hr_cost_replace_formula { get; set; }
        public string extras_cost_dscrp { get; set; }
        public int? iffork { get; set; }
        public int? ifsaleout { get; set; }
        public int? autotype { get; set; }
        public decimal? felt_mtrl_x_cost { get; set; }
        public decimal? felt_hr_x_cost { get; set; }
        public decimal? felt_x_qty { get; set; }
        public string felt_mtrl_x_cost_replace_formula { get; set; }
        public string felt_hr_x_cost_replace_formula { get; set; }
        public int? felt_x_mtrlid { get; set; }
        public decimal? sale_point { get; set; }
        public string packtype { get; set; }
        public decimal? packqty { get; set; }
        public decimal? other_rate { get; set; }
        public string transport_type { get; set; }
        public string packmtrl { get; set; }
        public string packet_mtrl_formula { get; set; }
        public string packet_hr_formula { get; set; }
        public decimal? packet_mtrl_cost { get; set; }
        public decimal? packet_hr_cost { get; set; }
        public string packet_mtrl_cost_replace_formula { get; set; }
        public string packet_hr_cost_replace_formula { get; set; }
        public decimal? sponge_height { get; set; }
        public decimal? edge_height { get; set; }
        public decimal? sponge_tc_thickness { get; set; }
        public decimal? sponge_tc_height { get; set; }
        public int? sponge_tc_mtrlid { get; set; }
        public decimal? sponge_mtrl_tc_cost { get; set; }
        public string sponge_mtrl_tc_formula { get; set; }
        public string sponge_mtrl_tc_cost_replace_formula { get; set; }
        public decimal? sum_weight { get; set; }
        public decimal? spring_weight { get; set; }
        public decimal? snake_weight { get; set; }
        public decimal? side_weight { get; set; }
        public string duo_qv_str { get; set; }
        public string spring_weight_formula { get; set; }
        public string side_iron_weight_formula { get; set; }
        public string hard_around_weight_formula { get; set; }
        public string fabrics1_weight_formula { get; set; }
        public string fabrics2_weight_formula { get; set; }
        public string felt_weight_formula { get; set; }
        public string cnail_weight_formula { get; set; }
        public string sponge_weight_formula { get; set; }
        public string sponge_weight_tc_formula { get; set; }
        public string edge_weight_formula { get; set; }
        public string fork_weight_formula { get; set; }
        public string spring_weight_replace_formula { get; set; }
        public string side_iron_weight_replace_formula { get; set; }
        public string hard_around_weight_replace_formula { get; set; }
        public string fabrics1_weight_replace_formula { get; set; }
        public string fabrics2_weight_replace_formula { get; set; }
        public string felt_weight_replace_formula { get; set; }
        public string cnail_weight_replace_formula { get; set; }
        public string sponge_weight_replace_formula { get; set; }
        public string sponge_weight_tc_replace_formula { get; set; }
        public string edge_weight_replace_formula { get; set; }
        public string fork_weight_replace_formula { get; set; }
        public decimal? spring_weight_qty { get; set; }
        public decimal? side_iron_weight_qty { get; set; }
        public decimal? hard_around_weight_qty { get; set; }
        public decimal? fabrics1_weight_qty { get; set; }
        public decimal? fabrics2_weight_qty { get; set; }
        public decimal? felt_weight_qty { get; set; }
        public decimal? cnail_weight_qty { get; set; }
        public decimal? sponge_weight_qty { get; set; }
        public decimal? sponge_weight_tc_qty { get; set; }
        public decimal? edge_weight_qty { get; set; }
        public decimal? fork_weight_qty { get; set; }
        public int? if_jb { get; set; }

        #region
        public int? pricelistid { get; set; }
        public string typename { get; set; }
        public int? copy_id { get; set; }
        #endregion
    }
}
