﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    [PK(new[] { "typeid", "pzid" })]
    public sealed class u_configure_code
    {
        /// <summary>
        /// 类型id
        /// </summary>
        public int? typeid { get; set; }
        /// <summary>
        /// 配置id
        /// </summary>
        public int? pzid { get; set; }
        /// <summary>
        /// 配置项编号
        /// </summary>
        public string pzcode { get; set; }
        /// <summary>
        /// 配置项名称
        /// </summary>
        public string name { get; set; }
        /// <summary>
        /// 录入类型
        /// </summary>
        public byte? inputtype { get; set; }
        public byte? configtype { get; set; }
        /// <summary>
        /// 混搭
        /// </summary>
        public byte? ifcross { get; set; }
        /// <summary>
        /// 必填
        /// </summary>
        public byte? ifcheck { get; set; }
        /// <summary>
        /// 有效
        /// </summary>
        public byte? ifuse { get; set; }
        public string rulestr { get; set; }
        /// <summary>
        /// 数值
        /// </summary>
        public byte? ifnum { get; set; }
        public byte? decnum { get; set; }
        /// <summary>
        /// 最大数
        /// </summary>
        public decimal? maxnum { get; set; }
        /// <summary>
        /// 最小数
        /// </summary>
        public decimal? minnum { get; set; }
        /// <summary>
        /// 差价公式
        /// </summary>
        public string pricestr { get; set; }
        /// <summary>
        /// 差价比例公式
        /// </summary>
        public string priceratestr { get; set; }
        public byte? ifpack { get; set; }
        public string zj_special { get; set; }

    }
}