﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    [PK(new[] { "multipriceid" })]
    public sealed class u_configure_codemx
    {
        /// <summary>
        /// 配置id
        /// </summary>
        public int? pzid { get; set; }
        /// <summary>
        /// 序
        /// </summary>
        public int? printid { get; set; }
        /// <summary>
        /// 明细编号
        /// </summary>
        public string pzcodemx { get; set; }
        /// <summary>
        /// 明细名称
        /// </summary>
        public string namemx { get; set; }
        public string gradestr { get; set; }
        public string mtrlcode { get; set; }
        /// <summary>
        /// 差价
        /// </summary>
        public decimal? price { get; set; }
        public byte? ifdft { get; set; }
        public decimal? mcostrate { get; set; }
        public decimal? profitrate { get; set; }
        public string dscrp { get; set; }
        /// <summary>
        /// 有效
        /// </summary>
        public byte? ifuse { get; set; }
        public byte? secflag { get; set; }
        public string secauditemp { get; set; }
        public DateTime? secauditdate { get; set; }
        /// <summary>
        /// 审核
        /// </summary>
        public byte? flag { get; set; }
        /// <summary>
        /// 审核人
        /// </summary>
        public string auditemp { get; set; }
        /// <summary>
        /// 审核时间
        /// </summary>
        public DateTime? auditdate { get; set; }
        public int? ifnoch { get; set; }
        /// <summary>
        /// 差价比例
        /// </summary>
        public decimal? pricerate { get; set; }
        public decimal? packqty { get; set; }
        public decimal? packvol { get; set; }
        public decimal? price_pz { get; set; }
        public string grade { get; set; }

    }
}
