﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    [PK(new[] { "mattressid" })]
    public sealed class u_mattress
    {
        public int mattressid { get; set; }
        public int? deptid { get; set; }
        public int? mattresstypeid { get; set; }
        public int? mattress_width { get; set; }
        public int? mattress_length { get; set; }
        public int? mattress_height { get; set; }
        public int? packtype { get; set; }
        public int? packqty { get; set; }
        public int? woodpallettype { get; set; }
        public decimal? total_hr_cost { get; set; }
        public decimal? total_material_cost { get; set; }
        public string fees_dscrp { get; set; }
        public decimal? total_fees_cost { get; set; }
        public decimal? total_cost { get; set; }
        public decimal? taxrate { get; set; }
        public decimal? taxes { get; set; }
        public decimal? commissionrate { get; set; }
        public decimal? commission { get; set; }
        public decimal? fob { get; set; }
        public decimal? profitrate { get; set; }
        public DateTime? createtime { get; set; }
        public string createby { get; set; }
        public decimal? extras_cost { get; set; }
        public decimal? dept_profitrate { get; set; }
        public decimal? moneyrate { get; set; }
        public decimal? nottax_factory_cost { get; set; }
        public decimal? nottax_dept_cost { get; set; }
        public decimal? dept_cost { get; set; }
        public decimal? foreign_cost { get; set; }
        public string mattresscode { get; set; }
        public string mattressname { get; set; }
        public decimal? diameter { get; set; }
        public string area { get; set; }
        public string cabinet_type { get; set; }
        public string loading_type { get; set; }
        public decimal? hrcost { get; set; }
        public decimal? biandaicost { get; set; }
        public string fob_replace_formula { get; set; }
        public string hrcost_replace_formula { get; set; }
        public string biandaicost_replace_formula { get; set; }
        public string mattressrelcode { get; set; }
        public decimal? other_rate { get; set; }
        public string gydscrp { get; set; }
        public int? flag { get; set; }
        public decimal? dept_profitrate_rangli { get; set; }
        public string auditingrep { get; set; }
        public DateTime? auditingdate { get; set; }
        public decimal? profitrate_point { get; set; }
        public int? if_moneyrate { get; set; }
        public decimal? discount { get; set; }
        public int? if_discount { get; set; }
        public int? erp_mtrlid { get; set; }
        public int? erp_configcodetype { get; set; }
        public string erp_mtrlcode { get; set; }
        public string erp_mtrlname { get; set; }
        public string erp_mtrlmode { get; set; }
        public int? erp_mtrltypeid { get; set; }
        public string erp_mtrltype { get; set; }
        public string erp_mtrlunit { get; set; }
        public string erp_mtrlengname { get; set; }
        public string erp_piccode { get; set; }
        public int? yw_flag { get; set; }
        public string yw_auditingrep { get; set; }
        public DateTime? yw_auditingdate { get; set; }
        public int? js1_flag { get; set; }
        public string js1_auditingrep { get; set; }
        public DateTime? js1_auditingdate { get; set; }
        public int? js2_flag { get; set; }
        public string js2_auditingrep { get; set; }
        public DateTime? js2_auditingdate { get; set; }
        public int? creatmtrl_flag { get; set; }
        public string creatmtrl_auditingrep { get; set; }
        public DateTime? creatmtrl_auditingdate { get; set; }
        public int? creatmtrlqd_flag { get; set; }
        public string creatmtrlqd_auditingrep { get; set; }
        public DateTime? creatmtrlqd_auditingdate { get; set; }
        public int? if_m_chai { get; set; }
        public int? if_z_chai { get; set; }
        public int? if_d_chai { get; set; }
        public int? if_n_butao { get; set; }
        public int? if_w_butao { get; set; }
        public int? if_m_wbutao_way { get; set; }
        public int? if_db_wbutao_way { get; set; }
        public decimal? s_cover_qty { get; set; }
        public decimal? z_cover_qty { get; set; }
        public decimal? x_cover_qty { get; set; }
        public decimal? biandai_qty { get; set; }
        public decimal? s_m_cover_qty { get; set; }
        public decimal? z_m_cover_qty { get; set; }
        public decimal? x_m_cover_qty { get; set; }
        public decimal? butao_point { get; set; }
        public decimal? chaizhuang_point { get; set; }
        public int? if_haimian_type { get; set; }
        public decimal? haimian_point { get; set; }
        public int? if_zhedie_type { get; set; }
        public string old_mtrlname { get; set; }
        public int? xd_flag { get; set; }
        public string xd_auditingrep { get; set; }
        public DateTime? xd_auditingdate { get; set; }
        public int? qr_flag { get; set; }
        public string qr_auditingrep { get; set; }
        public DateTime? qr_auditingdate { get; set; }
        public string temp_code { get; set; }
        public DateTime? erp_cb_updatetime { get; set; }
        public int? bcptypeid { get; set; }
        public int? if_bcp_type { get; set; }
        public int? bcp_m_id { get; set; }
        public string bcp_m_name { get; set; }
        public int? bcp_d_id { get; set; }
        public string bcp_d_name { get; set; }
        public int? bcp_dc_id { get; set; }
        public string bcp_dc_name { get; set; }
        public int? bcp_xc_id { get; set; }
        public string bcp_xc_name { get; set; }
        public int? bcp_vc_id { get; set; }
        public string bcp_vc_name { get; set; }
        public int? bcp_cw_id { get; set; }
        public string bcp_cw_name { get; set; }
        public decimal? zhizao_amt { get; set; }
        public decimal? guanli_rate { get; set; }
        public decimal? dannum_rate { get; set; }
        public decimal? cubage { get; set; }
        public decimal? foreign_cost_bz { get; set; }
        public decimal? foreign_cost_dd { get; set; }
        /// <summary>
        /// 主规格id
        /// </summary>
        public int? parentid { get; set; }

        #region 其他
        public int? pricelistid { get; set; }
        public int? copy_id { get; set; }
        #endregion
    }
}
