﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    [PK(new[] { "formulaid" })]
    public sealed class u_mattress_formula
    {
        /// <summary>
        /// 公式id
        /// </summary>
        public int? formulaid { get; set; }
        /// <summary>
        /// 类别序号
        /// </summary>
        public string sortcode { get; set; }
        /// <summary>
        /// 公式名
        /// </summary>
        public int? formulakind { get; set; }
        /// <summary>
        /// 类别
        /// </summary>
        public int? formulatype { get; set; }
        /// <summary>
        /// 按物料（无物料，单物料，多物料）
        /// </summary>
        public int? if_mtrl { get; set; }
        /// <summary>
        /// 金额公式
        /// </summary>
        public string formula { get; set; }
        /// <summary>
        /// 公式应用分类
        /// </summary>
        public int? usetype { get; set; }
        /// <summary>
        /// 压包（状态）
        /// </summary>
        public int? if_packtype0 { get; set; }
        /// <summary>
        /// 卷包（状态）
        /// </summary>
        public int? if_packtype1 { get; set; }
        /// <summary>
        /// 国内（状态）
        /// </summary>
        public int? if_packtype2 { get; set; }
        /// <summary>
        /// 默认物料id
        /// </summary>
        public int? default_mtrlid { get; set; }
        /// <summary>
        /// 默认物料类别
        /// </summary>
        public int? mtrltype { get; set; }
        /// <summary>
        /// 建立时间
        /// </summary>
        public DateTime? createtime { get; set; }
        /// <summary>
        /// 建立人
        /// </summary>
        public string createby { get; set; }
        /// <summary>
        /// 用量公式
        /// </summary>
        public string useformula { get; set; }
        /// <summary>
        /// 工艺说明
        /// </summary>
        public string gydscrp { get; set; }

    }
}
