﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    [PK(new[] { "mtrlid" })]
    public sealed class u_mtrl_price
    {
        /// <summary>
        /// 物料id
        /// </summary>
        public int? mtrlid { get; set; }
        /// <summary>
        /// 物料类别id
        /// </summary>
        public int? mtrltype { get; set; }
        /// <summary>
        /// 物料名称
        /// </summary>
        public string name { get; set; }
        /// <summary>
        /// 单价单位
        /// </summary>
        public string priceunit { get; set; }
        /// <summary>
        /// 收缩率
        /// </summary>
        public decimal? shrinkage { get; set; }
        /// <summary>
        /// 克重
        /// </summary>
        public decimal? gram_weight { get; set; }
        /// <summary>
        /// 厚度
        /// </summary>
        public decimal? cloth_width { get; set; }
        /// <summary>
        /// 固定厚度
        /// </summary>
        public int? if_inputqty { get; set; }
        /// <summary>
        /// 单价按面积
        /// </summary>
        public int? if_areaprice { get; set; }
        /// <summary>
        /// 建立时间
        /// </summary>
        public DateTime? createtime { get; set; }
        /// <summary>
        /// 建立人
        /// </summary>
        public string createby { get; set; }
        /// <summary>
        /// 厚度
        /// </summary>
        public decimal? thickness { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string dscrp { get; set; }
        /// <summary>
        /// ERP物料id
        /// </summary>
        public int? erp_mtrlid { get; set; }
        /// <summary>
        /// 附件数
        /// </summary>
        public int? fjcnt { get; set; }
        /// <summary>
        /// 有效
        /// </summary>
        public int? isuse { get; set; }
        /// <summary>
        /// 默认类别
        /// </summary>
        public string handtype { get; set; }
        /// <summary>
        /// 有效时间
        /// </summary>
        public DateTime? lastdate { get; set; }
        /// <summary>
        /// ERP英文名称
        /// </summary>
        public string erp_mtrlengname { get; set; }
        public string erp_mtrlcode { get; set; }
        public string erp_mtrlname { get; set; }
        public string erp_mtrlmode { get; set; }
        public string erp_unit { get; set; }
        public List<u_mtrl_price_pricelist> mxlist { get; set; }
        public decimal? price { get; set; }
        public string price_formula { get; set; }
        public string qty_formula { get; set; }
        public int? pricelistid { get; set; }
    }
}
