﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    [PK(new[] { "mtrlid", "pricelistid" })]
    public sealed class u_mtrl_price_pricelist
    {
        /// <summary>
        /// 物料id
        /// </summary>
        public int? mtrlid { get; set; }
        /// <summary>
        /// 价格表id
        /// </summary>
        public int? pricelistid { get; set; }
        /// <summary>
        /// 单价
        /// </summary>
        public decimal? price { get; set; }
        /// <summary>
        /// 单价方式
        /// </summary>
        public byte? pricetype { get; set; }
        /// <summary>
        /// 单价公式
        /// </summary>
        public string price_formula { get; set; }
        /// <summary>
        /// 用量公式
        /// </summary>
        public string qty_formula { get; set; }
    }
}