﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    [PK(new[] { "billid" })]
    public sealed class u_semi_finished_product
    {
        /// <summary>
        /// 单据id
        /// </summary>
        public int? billid { get; set; }
        /// <summary>
        /// 单据日期
        /// </summary>
        public DateTime? billdate { get; set; }
        /// <summary>
        /// 报价唯一码
        /// </summary>
        public string billcode { get; set; }
        /// <summary>
        /// 审核
        /// </summary>
        public byte? flag { get; set; }
        /// <summary>
        /// 半成品类型
        /// </summary>
        public int? semi_finished_type { get; set; }
        /// <summary>
        /// 半成品编码
        /// </summary>
        public string semi_finished_code { get; set; }
        /// <summary>
        /// 半成品名称
        /// </summary>
        public string semi_finished_name { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string dscrp { get; set; }
        /// <summary>
        /// 生产尺寸
        /// </summary>
        public decimal? production_size { get; set; }
        /// <summary>
        /// 锁边工艺
        /// </summary>
        public decimal? hemming_process { get; set; }
        /// <summary>
        /// 锁边后尺寸
        /// </summary>
        public decimal? hemmed_size { get; set; }
        /// <summary>
        /// 收缩率
        /// </summary>
        public decimal? shrinkage_rate { get; set; }
        /// <summary>
        /// 拉伸率
        /// </summary>
        public decimal? elongation_rate { get; set; }
        /// <summary>
        /// 创建人
        /// </summary>
        public string opemp { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? opdate { get; set; }
        /// <summary>
        /// 审核人
        /// </summary>
        public string auditemp { get; set; }
        /// <summary>
        /// 审核时间
        /// </summary>
        public DateTime? auditdate { get; set; }
        /// <summary>
        /// 明细信息
        /// </summary>
        public List<u_semi_finished_product_mx> mxlist { get; set; }

    }
}
