﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    [PK(new[] { "billid", "printid" })]
    public sealed class u_semi_finished_product_mx
    {
        /// <summary>
        /// 单据id
        /// </summary>
        public int? billid { get; set; }
        /// <summary>
        /// 明细id
        /// </summary>
        public int? printid { get; set; }
        /// <summary>
        /// 物料id
        /// </summary>
        public int? mtrlid { get; set; }
        /// <summary>
        /// 公式id
        /// </summary>
        public int? formulaid { get; set; }
        /// <summary>
        /// 位置
        /// </summary>
        public string chastr { get; set; }
        /// <summary>
        /// 厚度
        /// </summary>
        public decimal? thickness { get; set; }
        /// <summary>
        /// 数量/长度
        /// </summary>
        public decimal? qty { get; set; }
        /// <summary>
        /// ERP物料id
        /// </summary>
        public int? erp_mtrlid { get; set; }
        /// <summary>
        /// 用量分子
        /// </summary>
        public decimal? usenum { get; set; }
        /// <summary>
        /// 用量分母
        /// </summary>
        public decimal? usedenom { get; set; }

    }
}
