﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    [PK(new[] { "workmanshipid" })]
    public sealed class u_workmanship_add
    {
        /// <summary>
        /// 加点id
        /// </summary>
        public int? workmanshipid { get; set; }
        /// <summary>
        /// 部门id
        /// </summary>
        public int? deptid { get; set; }
        /// <summary>
        /// 床垫类型
        /// </summary>
        public int? mattresstypeid { get; set; }
        /// <summary>
        /// 特殊工艺名称
        /// </summary>
        public string workmanshipname { get; set; }
        /// <summary>
        /// 生效条件
        /// </summary>
        public string formula { get; set; }
        /// <summary>
        /// 工艺利润率
        /// </summary>
        public decimal? rate { get; set; }
        /// <summary>
        /// 禁用
        /// </summary>
        public byte? inuse { get; set; }
    }
}
