﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class RefreshMattressInterfaceQdRequest : ILJRequest<RefreshMattressInterfaceQdResponse>
    {
        public string GetApiName()
        {
            return "RefreshMattressInterfaceQd";
        }
        /// <summary>
        /// 登录token
        /// </summary>
        public string token { get; set; }
        /// <summary>
        /// 单据id
        /// </summary>
        public int? mattressid { get; set; }
        public byte? isPz { get; set; }
        public byte? isCheck { get; set; }
    }

    public sealed class RefreshMattressInterfaceQdResponse : LJResponse
    {
        public List<u_mattress_interface_qd> mxList { get; set; }
    }
}
