﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 保存车辆信息
    /// </summary>
    public sealed class SaveCarListRequest : ILJRequest<SaveCarListResponse>
    {
        public string GetApiName()
        {
            return "SaveCarList";
        }
        public string token { get; set; }
        /// <summary>
        /// 车辆信息
        /// </summary>
        public List<Car> carList { get; set; }
    }

    public sealed class SaveCarListResponse : LJResponse
    {
    }
}
