﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 保存车辆信息
    /// </summary>
    public sealed class SaveConfigureCodeRequest : ILJRequest<SaveConfigureCodeResponse>
    {
        public string GetApiName()
        {
            return "SaveConfigureCode";
        }
        public string token { get; set; }
        /// <summary>
        /// 部件选配项定义
        /// </summary>
        public u_configure_code configure { get; set; }
    }

    public sealed class SaveConfigureCodeResponse : LJResponse
    {
    }
}
