﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 保存车辆信息
    /// </summary>
    public sealed class SaveConfigureCodeMxRequest : ILJRequest<SaveConfigureCodeMxResponse>
    {
        public string GetApiName()
        {
            return "SaveConfigureCodeMx";
        }
        public string token { get; set; }
        /// <summary>
        /// 部件选配项明细定义
        /// </summary>
        public u_configure_codemx configure { get; set; }
    }

    public sealed class SaveConfigureCodeMxResponse : LJResponse
    {
    }
}
