﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 保存车辆信息
    /// </summary>
    public sealed class SaveMattressRequest : ILJRequest<SaveMattressResponse>
    {
        public string GetApiName()
        {
            return "SaveMattress";
        }
        public string token { get; set; }
        /// <summary>
        /// 床垫信息：主表
        /// </summary>
        public u_mattress mattress { get; set; }
        /// <summary>
        /// 所有明细
        /// </summary>
        public List<u_mattress_mx_mtrl> mattressMx { get; set; }
        /// <summary>
        /// 副规格列表
        /// </summary>
        public List<u_mattress> subspecs { get; set; }
    }

    public sealed class SaveMattressResponse : LJResponse
    {
        public int mattressid { get; set; }
        public string mattresscode { get; set; }
        public string message { get; set; }
        public List<string> mxmessage { get; set; }
    }
}
