﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 保存车辆信息
    /// </summary>
    public sealed class SaveMultiPriceRequest : ILJRequest<SaveMultiPriceResponse>
    {
        public string GetApiName()
        {
            return "SaveMultiPrice";
        }
        public string token { get; set; }
        /// <summary>
        /// 多维度定价
        /// </summary>
        public u_multiprice price { get; set; }
    }

    public sealed class SaveMultiPriceResponse : LJResponse
    {
    }
}
