﻿using System;
using System.Data;

namespace LJLib.DAL.SQL
{
    internal sealed class Field : Attribute
    {
        public Field(string name, SqlDbType dbType, bool isPrimaryKey)
        {
            this.Name = name;
            this.DbType = dbType;
            IsPrimaryKey = isPrimaryKey;
        }
        public string Name { get; set; }
        public SqlDbType DbType { get; set; }
        public bool IsPrimaryKey { get; set; }
    }
}
