﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using LJLib.DAL.SQL;

namespace JLHHJSvr.DBA.DBModle
{
    [PK(new[] { "userid" })]
    public sealed class st_user
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        public int? userid { get; set; }
        /// <summary>
        /// 用户名
        /// </summary>
        public string usercode { get; set; }
        /// <summary>
        /// 真实名
        /// </summary>
        public string username { get; set; }
        /// <summary>
        /// 密码
        /// </summary>
        public string psw { get; set; }
        /// <summary>
        /// 性别
        /// </summary>
        public string sex { get; set; }
        /// <summary>
        /// 联系电话
        /// </summary>
        public string tel { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string dscrp { get; set; }
        /// <summary>
        /// 建立人
        /// </summary>
        public string opemp { get; set; }
        /// <summary>
        /// 建立时间
        /// </summary>
        public DateTime? opdate { get; set; }
        /// <summary>
        /// 修改人
        /// </summary>
        public string modemp { get; set; }
        /// <summary>
        /// 修改时间
        /// </summary>
        public DateTime? moddate { get; set; }
    }
}
