import type { uSale } from "@/typings/modules/sale";
import type { FileData } from "@/typings/business";

/**
 * @name 销售
 */
export namespace saleApi {
  /**
   * @name response: 获取订单分类
   */
  export interface ResTypeList {
    ordermlType: uSale.u_saletype[];
  }

  /**
   * @name request: 获取客户档案详情
   */
  export interface ReqMtFjFile {
    /**
     * @description 销售订单id
     */
    saletaskid: number;
  }
  /**
   * @name response: 获取客户列表
   */
  export interface ResMtFjFile {
    /**
     * @description 附件列表
     */
    mtFjFileList: FileData[];
  }
}
