import { PrintTemplate } from "@/api/interface/index";
import { PORT1 } from "@/api/config/servicePort";
import http from "@/api";

/**
 * @name 获取 打印模板列表
 */
export const getPrintTemplate = (params: PrintTemplate.ReqGetPrintTemplate) => {
  return http.post<PrintTemplate.ResGetPrintTemplate>(PORT1 + `/PrintTemplateGet`, params);
};

/**
 * @name 保存 打印模板
 */
export const savePrintTemplate = (params: PrintTemplate.ReqSavePrintTemplate) => {
  return http.post<PrintTemplate.ReqSavePrintTemplate>(PORT1 + `/PrintTemplateSave`, params);
};

/**
 * @name 删除 打印模板
 */
export const delPrintTemplate = (params: PrintTemplate.ReqGetPrintTemplate) => {
  return http.post(PORT1 + `/PrintTemplateDel`, params);
};
