import { Saletask } from "@/api/interface/index";
import { PORT1 } from "@/api/config/servicePort";
import http from "@/api";
import { saleApi } from "@/api/interface/sale";

// /**
//  * @name 选择器 待发货销售订单明细
//  */
// export const getSaletaskmxSelect = (params: Saletask.ReqSaletaskMx) => {
//   return http.post<Saletask.ResSaletaskMx>(PORT1 + `/GetSaletaskmxSelect`, params);
// };

// /**
//  * @name 列表 采购订单明细跟踪表
//  */
// export const getSaletaskmxTrackingList = (params: Saletask.ReqSaletaskMxTrackingList) => {
//   return http.post<Saletask.ResSaletaskMxxTrackingList>(PORT1 + `/GetSaletaskmxTrackingList`, params);
// };

// /**
//  * @name 提交 同意修改交期
//  */
// export const saveSaletaskmxDateSpt = (params: Saletask.ResSaletaskmxDateSpt) => {
//   return http.post(PORT1 + `/SaveSaletaskmxDateSpt`, params);
// };

// /**
//  * @name 提交 批接收/拒绝
//  */
// export const updateSptFlagStr = (params: Saletask.ResUpdateSptFlagStr) => {
//   return http.post(PORT1 + `/UpdateSptFlagStr`, params, { loading: true });
// };

// /**
//  * @name 获取 采购订单数据统计
//  */
// export const getSaletaskStatistic = (params: Saletask.ReqStatistic) => {
//   return http.post<Saletask.ResStatistic>(PORT1 + `/SaletaskDetailStatistic`, params);
// };

/**
 * @name 获取 客户：地区分类
 */
export const getL1Cusarea = (params: Saletask.ReqCusare) => {
  return http.post<Saletask.ResCusare>(PORT1 + `/GetL1Cusarea`, params);
};

/**
 * @name 获取 客户列表
 */
export const getCustlist = (params: Saletask.ReqCustList) => {
  return http.post<Saletask.ResCustList>(PORT1 + `/GetCustList`, params);
};

/**
 * @name 获取 客户档案详情
 */
export const getCustDetatil = (params: Saletask.ReqCustDetail) => {
  return http.post<Saletask.ResCustDetail>(PORT1 + `/GetCustomerFilesDetatil`, params);
};

/**
 * @name 获取 库存列表
 */
export const getMtrlWarelist = (params: Saletask.ReqMtrlWareList) => {
  return http.post<Saletask.ResMtrlWareList>(PORT1 + `/GetL1MtrlwareList`, params);
};

/**
 * @name 获取 库存明细列表
 */
export const GetMtrlWareDetailList = (params: Saletask.ReqMtrlwareDetailList) => {
  return http.post<Saletask.ResMtrlwareDetailList>(PORT1 + `/GetL1MtrlwareDetailList`, params);
};

// /**
//  * @name 获取 销售订单分类
//  */
// export const getSaleTaskType = () => {
//   return http.post<saleApi.ResTypeList>(PORT1 + `/GetL1OrderMlType`);
// };

// /**
//  * @name 获取 销售订单唛头附件
//  */
// export const getMtFjFile = (params: saleApi.ReqMtFjFile) => {
//   return http.post<saleApi.ResMtFjFile>(PORT1 + `/GetMtFjFile`, params);
// };
