export interface oa_flow {
  /**
   * @description 公文id
   */
  docid: number;
  /**
   * @description 公文编号
   */
  doccode?: string;
  /**
   * @description 状态
   */
  docflag?: string;
  /**
   * @description 审批流程
   */
  flowname?: string;
  /**
   * @description 当前时间
   */
  nowtime?: string;
}

export interface OaFlowState {
  /**
   * @description 流程列表
   */
  oaFlowList: oa_flow[];
  /**
   * @description 当前选中流程
   */
  tabsValue: number;
  itemData: any;
}

export interface oaFlowStatusViewBill {
  /**
   *  @description 流转步骤
   */
  flowstepname: string;
  /**
   *  @description 审批人
   */
  empname: string;
  /**
   * @description 审批
   */
  passed: number;
  /**
   * @description 审批意见
   */
  empcontent: string;
  /**
   * @description 备注
   */
  dscrp: string;
  /**
   * @description 审批时间
   */
  greetime: string;
  /**
   * @description 审批限定时间
   */
  limittime: string;
  /**
   * @description 公文编号
   */
  doccode: string;
  /**
   * @description 发起人
   */
  opemp: string;
  /**
   * @description 发起时间
   */
  opdt: string;
  /**
   * @description 是否当前步骤
   */
  oarowid: string;
}
