import type { Menu } from "@/typings/global";
/**
 * @argument name 床网报价
 */
export const bednetQtuoteRouter: Menu.MenuOptions[] = [
  {
    path: "/bednetQuote",
    name: "bednetQuote",
    component: "/quote/bednetQuote/index",
    meta: {
      icon: "Common_Business.png",
      title: "床网报价",
      isLink: "",
      isHide: false,
      isFull: false,
      isAffix: false,
      isKeepAlive: true,
      funid: 61
    },
    // children: [
    // {
    //   path: "/technology/material",
    //   name: "material",
    //   meta: {
    //     icon: "iconpackage",
    //     title: "产品物料",
    //     isLink: "",
    //     isHide: false,
    //     isFull: false,
    //     isAffix: false,
    //     isKeepAlive: true,
    //     isSubMenu: true,
    //     activeMenu: "/technology",
    //     funid: 6969
    //   },
    //   children: [
    //     {
    //       path: "/technology/material/mtrldef",
    //       name: "productAndMtrlCrm",
    //       component: "/technology/mtrldef/index",
    //       meta: {
    //         icon: "iconpackage",
    //         title: "产品及物料",
    //         isLink: "",
    //         isHide: false,
    //         isFull: false,
    //         isAffix: false,
    //         isKeepAlive: true,
    //         activeMenu: "/technology/material/mtrldef",
    //         funid: 367
    //       },
    children: [
      {
        path: "/bednetQuote/detail",
        name: "bednetQuoteDetail",
        component: "/quote/bednetQuote/detail",
        meta: {
          icon: "iconpackage",
          title: "床网报价详情",
          isLink: "",
          isHide: true,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          funid: 61,
          activeMenu: "/bednetQuote"
        }
      },
      {
        path: "/bednetQuote/new",
        name: "bednetQuoteAdd",
        component: "/quote/bednetQuote/detail",
        meta: {
          icon: "iconuser-01",
          title: "新增床网报价",
          isLink: "",
          isHide: true,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          funid: 62,
          activeMenu: "/bednetQuote"
        }
      },
      {
        path: "/bednetQuote/edit",
        name: "bednetQuoteEdit",
        component: "/quote/bednetQuote/detail",
        meta: {
          icon: "iconuser-01",
          title: "修改床网报价",
          isLink: "",
          isHide: true,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          funid: 62,
          activeMenu: "/bednetQuote"
        }
      },
      {
        path: "/bednetQuote/copy",
        name: "bednetQuoteCopy",
        component: "/quote/bednetQuote/detail",
        meta: {
          icon: "iconuser-01",
          title: "复制床网报价",
          isLink: "",
          isHide: true,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          funid: 75,
          activeMenu: "/bednetQuote"
        }
      }
    ]
    //     }
    //   ]
    // }
    // ]
  }
];
