import type { Menu } from "@/typings/global";
/**
 * @argument name 床垫报价
 */
export const semifinprodQuoteRouter: Menu.MenuOptions[] = [
  {
    path: "/semifinprodQuote",
    name: "semifinprodQuote",
    component: "/quote/semifinprodQuote/index",
    meta: {
      icon: "Common_Business.png",
      title: "半成品报价",
      isLink: "",
      isHide: false,
      isFull: false,
      isAffix: false,
      isKeepAlive: true,
      funid: 121
    },
    children: [
      {
        path: "/semifinprodQuote/detail",
        name: "semifinprodQuoteDetail",
        component: "/quote/semifinprodQuote/detail2",
        meta: {
          icon: "iconpackage",
          title: "半成品报价详情",
          isLink: "",
          isHide: true,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          funid: 121,
          activeMenu: "/semifinprodQuote"
        }
      },
      {
        path: "/semifinprodQuote/new",
        name: "semifinprodQuoteAdd",
        component: "/quote/semifinprodQuote/detail2",
        meta: {
          icon: "iconuser-01",
          title: "新增半成品报价",
          isLink: "",
          isHide: true,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          funid: 124,
          activeMenu: "/semifinprodQuote"
        }
      },
      {
        path: "/semifinprodQuote/edit",
        name: "semifinprodQuoteEdit",
        component: "/quote/semifinprodQuote/detail2",
        meta: {
          icon: "iconuser-01",
          title: "修改半成品报价",
          isLink: "",
          isHide: true,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          funid: 124,
          activeMenu: "/semifinprodQuote"
        }
      }
    ]
    //     }
    //   ]
    // }
    // ]
  }
];
