export namespace uPurchase {
  export interface u_spt_price_change {
    /**
     * 单据ID
     */
    billid?: number;
    /**
     * 单据编码
     */
    billcode?: string;
    /**
     * 单据日期
     */
    billdate?: Date;
    /**
     * 物料ID
     */
    mtrlid?: number;
    /**
     * 库位ID
     */
    sptid?: number;
    /**
     * 价格
     */
    price?: number;
    /**
     * 描述
     */
    dscrp?: string;
    /**
     * 标志
     */
    flag?: number;
    /**
     * 审核人员
     */
    auditemp?: string;
    /**
     * 审核日期
     */
    auditdate?: Date;
    /**
     * 操作日期
     */
    opdate?: Date;
    /**
     * 操作人员
     */
    opemp?: string;
    /**
     * 修改日期
     */
    moddate?: Date;
    /**
     * 修改人员
     */
    modemp?: string;
    /**
     * 客户ID
     */
    ctmint?: number;
    /**
     * 最近价格
     */
    lastprice?: number;
    /**
     * 打印次数
     */
    printnum?: number;
    /**
     * 状态
     */
    status?: string;
    /**
     * 单位
     */
    unit?: string;
    /**
     * 汇率
     */
    rate?: number;
    /**
     * 入库库位
     */
    inrep?: string;
    /**
     * 单据类型
     */
    billtype?: number;
    /**
     * 货币ID
     */
    moneyid?: number;
    /**
     * 发送人员
     */
    senduser?: string;
    /**
     * 发送时间
     */
    sendtime?: Date;
    /**
     * 发送数量
     */
    sendcnt?: number;
    /**
     * 初审人员
     */
    first_auditemp?: string;
    /**
     * 初审日期
     */
    first_auditdate?: Date;
    /**
     * 关联单据ID
     */
    relbillid?: number;
    /**
     * 是否自动
     */
    ifauto?: number;
    /**
     * 要求日期
     */
    requiredate?: Date;
    /**
     * FIEB状态
     */
    fiebstatus?: number;
  }
  export interface u_spt_price_changemx {
    /**
     * 单据ID
     */
    billid?: number;
    /**
     * 物料ID
     */
    mtrlid?: number;
    /**
     * 价格
     */
    price?: number;
    /**
     * 最近价格
     */
    lastprice?: number;
    /**
     * 仓库价格
     */
    wareprice?: number;
    /**
     * 打印次数
     */
    printnum?: number;
    /**
     * 状态
     */
    status?: string;
    /**
     * 单位
     */
    unit?: string;
    /**
     * 汇率
     */
    rate?: number;
    /**
     * 物料名称
     */
    sptmtrlname?: string;
    /**
     * 描述
     */
    dscrp?: string;
    /**
     * 客户ID
     */
    ctmint?: number;
    /**
     * 行
     */
    printid?: number;
    /**
     * 最后日期
     */
    lastdate?: Date;
    /**
     * 管理物料ID
     */
    admtrlid?: number;
    /**
     * 生效日期
     */
    effdate?: Date;
    /**
     * 数量
     */
    qty?: number;
    /**
     * 数量1
     */
    qty1?: number;
    /**
     * 价格描述
     */
    jgdscrp?: string;
    /**
     * 木材编码
     */
    woodcode?: string;
    /**
     * 产品编码
     */
    pcode?: string;
    /**
     * 历史标志
     */
    hisflag?: number;
    /**
     * 任务标志
     */
    taskflag?: number;
    /**
     * 仓库标志
     */
    wareflag?: number;
    /**
     * 开始日期
     */
    sdate?: Date;
    /**
     * 结束日期
     */
    edate?: Date;
    /**
     * 采购合同ID
     */
    buybargainid?: number;
    /**
     * 采购合同行
     */
    buybargainprintid?: number;
    /**
     * 采购合同编码
     */
    buybargaincode?: string;
    /**
     * 含税价格
     */
    enprice?: number;
    /**
     * 折扣
     */
    rebate?: number;
    /**
     * 生效日期结束
     */
    effdate_end?: Date;
    /**
     * 税率
     */
    tax?: number;
    /**
     * 采购天数
     */
    buydays?: number;
    /**
     * 不含税价格
     */
    enprice_notax?: number;
    /**
     * SC标志
     */
    scflag?: number;
    /**
     * 完成标志
     */
    finishflag?: number;
    /**
     * 最后价格（不含税）
     */
    lastprice_notax?: number;
    /**
     * FIEB价格
     */
    fiebprice?: number;
  }
}
