import { ColumnProps, SearchProps } from "@/components/LjVxeTable/interface";

export const useCustRep = (t: any) => {
  // 表格配置项
  const columns: ColumnProps<any>[] = [
    {
      field: "repname",
      title: "姓名",
      search: {
        el: "input",
        key: "keyword"
      }
    },
    {
      field: "deptname",
      title: "部门"
    },
    {
      field: "duty",
      title: "职务"
    },
    {
      field: "sex",
      title: "性别"
    },
    {
      field: "officetel",
      title: "办公电话"
    },
    {
      field: "handtel",
      title: "移动电话"
    },
    {
      field: "faxno",
      title: "传真"
    },
    {
      field: "email",
      title: "Email"
    },
    {
      field: "qqcode",
      title: "QQ号"
    },
    {
      field: "msncode",
      title: "MSN/Skype"
    },
    {
      field: "interest",
      title: "兴趣"
    },
    {
      field: "mainproduct",
      title: "负责产品"
    },
    {
      field: "address",
      title: "地址"
    },
    {
      field: "dscrp",
      title: "备注"
    }
  ];

  return {
    columns
  };
};
