import { ColumnProps, SearchProps } from "@/components/LjVxeTable/interface";
import type { uSale } from "@/typings/modules/sale";
import { Table } from "@/hooks/interface/index";

export const useOutrepUp = (t: any) => {
  // 表格配置项
  const columns: ColumnProps<any>[] = [
    {
      field: "outrepcode",
      title: "编号",
      search: {
        el: "input"
      }
    },
    {
      field: "outrepname",
      title: "名称"
    },
    {
      field: "outrepdscrp",
      title: "备注"
    }
  ];

  return {
    columns
  };
};
