import { ColumnProps, SearchProps } from "@/components/LjVxeTable/interface";

export const useStation = (t: any) => {
  // 表格配置项
  const columns: ColumnProps<any>[] = [
    {
      field: "inuse",
      title: "有效"
    },
    {
      field: "area",
      title: "地区"
    },
    {
      field: "stationname",
      title: "货运部名称"
    },
    {
      field: "rep",
      title: "联系人"
    },
    {
      field: "handtel",
      title: "手机"
    },
    {
      field: "tele",
      title: "联系电话"
    },
    {
      field: "fax",
      title: "传真"
    },
    {
      field: "dscrp",
      title: "专线"
    },
    {
      field: "email",
      title: "邮箱"
    },
    {
      field: "address",
      title: "地址"
    },
    {
      field: "content",
      title: "备注"
    },
    {
      field: "opemp",
      title: "建立人"
    },
    {
      field: "opdate",
      title: "建立时间"
    },
    {
      field: "flag",
      title: "审核"
    },
    {
      field: "auditdate",
      title: "审核时间"
    },
    {
      field: "auditemp",
      title: "审核人"
    }
  ];

  return {
    columns
  };
};
